[@bigcommerce/checkout-sdk](../README.md) / CardInstrument

# Interface: CardInstrument

## Hierarchy

- [`BaseInstrument`](BaseInstrument.md)

  ↳ **`CardInstrument`**

## Table of contents

### Properties

- [bigpayToken](CardInstrument.md#bigpaytoken)
- [brand](CardInstrument.md#brand)
- [defaultInstrument](CardInstrument.md#defaultinstrument)
- [expiryMonth](CardInstrument.md#expirymonth)
- [expiryYear](CardInstrument.md#expiryyear)
- [iin](CardInstrument.md#iin)
- [last4](CardInstrument.md#last4)
- [method](CardInstrument.md#method)
- [provider](CardInstrument.md#provider)
- [trustedShippingAddress](CardInstrument.md#trustedshippingaddress)
- [type](CardInstrument.md#type)
- [untrustedShippingCardVerificationMode](CardInstrument.md#untrustedshippingcardverificationmode)

## Properties

### bigpayToken

• **bigpayToken**: `string`

#### Inherited from

[BaseInstrument](BaseInstrument.md).[bigpayToken](BaseInstrument.md#bigpaytoken)

___

### brand

• **brand**: `string`

___

### defaultInstrument

• **defaultInstrument**: `boolean`

#### Inherited from

[BaseInstrument](BaseInstrument.md).[defaultInstrument](BaseInstrument.md#defaultinstrument)

___

### expiryMonth

• **expiryMonth**: `string`

___

### expiryYear

• **expiryYear**: `string`

___

### iin

• **iin**: `string`

___

### last4

• **last4**: `string`

___

### method

• **method**: `string`

#### Inherited from

[BaseInstrument](BaseInstrument.md).[method](BaseInstrument.md#method)

___

### provider

• **provider**: `string`

#### Inherited from

[BaseInstrument](BaseInstrument.md).[provider](BaseInstrument.md#provider)

___

### trustedShippingAddress

• **trustedShippingAddress**: `boolean`

#### Inherited from

[BaseInstrument](BaseInstrument.md).[trustedShippingAddress](BaseInstrument.md#trustedshippingaddress)

___

### type

• **type**: ``"card"``

#### Overrides

[BaseInstrument](BaseInstrument.md).[type](BaseInstrument.md#type)

___

### untrustedShippingCardVerificationMode

• **untrustedShippingCardVerificationMode**: [`UntrustedShippingCardVerificationType`](../enums/UntrustedShippingCardVerificationType.md)
